MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005073Community[OCCT] OCCT:Modeling Algorithmspublic2004-01-22 13:062011-12-15 16:40
Reporterbugmaster 
Assigned Tojgv 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target VersionFixed in Version[OCCT] 5.1.3 
Summary0005073: Problem with sweep
DescriptionBug from Open CASCADE Cummunity

From: Rob Bachrach <rob.bachrach@tycoelectronics.com>

http://www.opencascade.org/forumorg/bug.php?bug_id=151 [^] .

Try code below:

Draw[51]> polyline spine 0 0 0 5 0 0
Draw[52]> polyline end1 0 -1.5 -10 0 -1.5 10 0 1.5 10 0 1.5 -10 0 -1.5 -10
Draw[53]> polyline end2 5 -1.5 -8 5 -1.5 8 5 1.5 8 5 1.5 -8 5 -1.5 -8
Draw[54]> mksweep spine
Draw[56]> addsweep end1
Draw[57]> addsweep end2
Draw[58]> buildsweep spine
Additional information
and documentation updates
Documentation remark, added by jgv 2004-04-06 14:36:26:

Improvements:
Now the algorithm of MakePipeShell processes correctly the cases with linear
parts of spine and profiles.
Changes:
New static function IsSweepParallelSpine is added to GeomFill_Sweep. It checks
wether a swept surface parallel to the spine or not, so the canonic part is
defined.
TagsNo tags attached.
Test case number
Attached Filestgz file icon OCC5073-skv-v1.tgz (7,666 bytes) 2004-02-06 10:02
gz file icon jgv5073-5093-5336.tar.gz (42,636 bytes) 2004-03-26 16:08

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2004-01-22 13:07 bugmaster Assigned To bugmaster => mkk
2004-01-22 13:07 bugmaster Status new => assigned
2004-02-02 10:32 mkk Assigned To mkk => skv
2004-02-06 12:03 skv Status assigned => resolved
2004-02-09 12:38 bugmaster CC => apv
2004-02-11 12:10 apv CC => aki
2004-03-09 15:46 bugmaster Assigned To skv => jgv
2004-03-09 15:46 bugmaster Status resolved => assigned
2004-03-26 18:58 bugmaster CC => mkv
2004-04-15 15:47 bugmaster Status assigned => tested
2004-04-19 13:36 bugmaster Status tested => verified
2004-04-26 11:03 bugmaster Status verified => closed
2004-04-26 11:03 bugmaster Fixed in Version => 5.1.3
2004-04-26 11:03 bugmaster Resolution @0@ => fixed
2011-08-02 11:31 bugmaster Category OCCT:MOA => OCCT:Modeling Algorithms
2011-12-15 16:39 abv Description Updated View Revisions
2011-12-15 16:39 abv Additional Information Updated View Revisions
2011-12-15 16:40 abv Project Open CASCADE => Community


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker